import java.util.Arrays;
public class ArraysEquals {
    public static void main(String[] args) {
        int[] a1 = {3, 2, 1};
        int[] a2 = {3, 2, 1};
        // Los arrays no se pueden imprimir directamente
        System.out.println("a1 = " + a1);
        // a1 = [I@106d69c // [ array, I int, @106d69c dir mem :-?
        System.out.println("a2 = " + a2);
        // Ni se pueden comparar con == para ver si son iguales
        System.out.println("a1 == a2 is " + (a1 == a2));
        System.out.println("");
        System.out.println("Arrays.toString(a1) = " + Arrays.toString(a1));
        System.out.println("Arrays.toString(a2) = " + Arrays.toString(a2));
        System.out.println("Arrays.equals(a1, a2) is " +
                (Arrays.equals(a1, a2)));
        // Se pueden ordenar con sort()
        Arrays.sort(a1);
        System.out.println("Sorting a1");
        System.out.println("Arrays.toString(a1) = " + Arrays.toString(a1));
    }
}
